<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">
					  
		<changeSet id="0001" author="saliakhov">
        <comment>create column</comment>
		<sql>
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS administrative_fz_53 bool NULL;
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS subpoena_directed bool NULL;
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS subpoena_delivery bool NULL;
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS subpoena_appeared bool NULL;
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS good_reason_subpoena_no_show bool NULL;
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS fact_criminal_prosecution_fz_53 bool NULL;
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS maternity_leave bool NULL;
			ALTER TABLE ervu_dashboard.citizen_complex_filters ADD COLUMN IF NOT EXISTS death_date_child bool NULL;

			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.administrative_fz_53 IS 'Административная ответственность в связи с нарушением ФЗ-53';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.subpoena_directed IS 'Сведения о направленнии повестки военного комиссариата';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.subpoena_delivery IS 'Признак вручения повестки';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.subpoena_appeared IS 'Признак явки или неявки по повестке';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.good_reason_subpoena_no_show IS 'Сведения о признании причины неявки в военный комиссариат по повестке уважительной';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.fact_criminal_prosecution_fz_53 IS 'Сведения о факте уголовного преследования';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.maternity_leave IS 'Сведения об отпуске по уходу за ребёнком';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.death_date_child IS 'Наличие даты смерти ребёнка';

			ALTER TABLE ervu_dashboard.citizenship ADD COLUMN IF NOT EXISTS date_departure_abroad date NULL;
			ALTER TABLE ervu_dashboard.citizenship ADD COLUMN IF NOT EXISTS return_date date NULL;

			COMMENT ON COLUMN ervu_dashboard.citizenship.date_departure_abroad IS 'Дата выезда за границу';
			COMMENT ON COLUMN ervu_dashboard.citizenship.return_date IS 'Дата возвращения в РФ';
			
			ALTER TABLE ervu_dashboard.citizen ADD COLUMN IF NOT EXISTS sports_category_name varchar NULL;
			
			COMMENT ON COLUMN ervu_dashboard.citizen.sports_category_name IS 'Спортивный разряд';
			
			ALTER TABLE IF EXISTS ervu_dashboard.citizen_education_diplomas_received
			ALTER COLUMN order_date_restore TYPE date USING order_date_restore::date;
		</sql>
	</changeSet>
</databaseChangeLog>